Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.forms.html
Class setcharEnumEditor

    java.lang.Object
      org.makumba.commons.formatters.FieldFormatter
          org.makumba.forms.html.FieldEditor
              org.makumba.forms.html.choiceEditor
                  org.makumba.forms.html.charEnumEditor
                      org.makumba.forms.html.setcharEnumEditor

Direct Known Subclasses:
  setintEnumEditor

    public class setcharEnumEditor

extends charEnumEditor

Field Summary

Fields inherited from class org.makumba.forms.html.choiceEditor
`_params, _paramValues, nullOption`

Fields inherited from class org.makumba.forms.html.FieldEditor
`ERROR_NO_BOOLEAN, ERROR_NO_INT, ERROR_NO_REAL, extraFormattingParam, formName, params, paramValues, suffixName`

Constructor Summary
`protected` | `setcharEnumEditor()` Don't use this, use getInstance()

Method Summary
`int` | `getDefaultSize(RecordFormatter rf, int fieldIndex)` Gets the default size of the select HTML box.
`static FieldFormatter` | `getInstance()`
`boolean` | `isMultiple(RecordFormatter rf, int fieldIndex)` Returns blank string, or " multiple " if multiple selections possible.

Methods inherited from class org.makumba.forms.html.charEnumEditor
`formatOptionTitle, formatOptionValue, formatOptionValue, getOptions, getOptionsLength, getOptionValue`

Methods inherited from class org.makumba.forms.html.choiceEditor
`format, getAcceptedParams, getAcceptedValue, getValueOrDefault, setNullOption, shouldRemoveNullValue`

Methods inherited from class org.makumba.forms.html.FieldEditor
`checkParam, formatHidden, formatHiddenValue, formatShow, formatValue, getExtraFormatting, getInputName, getInputName, getSuffix, onStartup, readFrom, setExtraFormatting, setFormName, setSuffix, toBoolean, toInt, toReal`

Methods inherited from class org.makumba.commons.formatters.FieldFormatter
`checkParams, equals, formatNotNull, formatNull, getDefaultValueFormat, getEmptyValueFormat, getExpr, getIntParam, getIntParamString, initExpr, resetValueFormat`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### setcharEnumEditor

    protected setcharEnumEditor()

  Don't use this, use getInstance()

Method Detail

### getInstance

    public static FieldFormatter getInstance()

### isMultiple

    public boolean isMultiple(RecordFormatter rf,
                              int fieldIndex)

  Description copied from class: `choiceEditor`
  Returns blank string, or " multiple " if multiple selections possible.

  Overrides:
    `isMultiple` in class `charEnumEditor`

### getDefaultSize

    public int getDefaultSize(RecordFormatter rf,
                              int fieldIndex)

  Description copied from class: `choiceEditor`
  Gets the default size of the select HTML box.

  Overrides:
    `getDefaultSize` in class `charEnumEditor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20